Cannot Install Nut on Centos 7.5

Issues related to applications and software problems
Post Reply
User avatar
komrados
Posts: 2
Joined: 2017/08/06 19:32:24
Location: Denver, CO
Contact:

Cannot Install Nut on Centos 7.5

Post by komrados » 2018/05/14 01:25:45

I recently purchase a UPS and set up a UPS server on my Synology router. Now I'd like my CentOS KVM host to be a client using the "nut" package

Error:

Code: Select all

root@kvm-prod-01 ~]# yum install nut
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
epel/x86_64/metalink                                                                                                                                                                    |  11 kB  00:00:00     
 * base: centos.gbeservers.com
 * epel: pubmirror2.math.uh.edu
 * extras: repos.forethought.net
 * updates: mirrors.unifiedlayer.com
base                                                                                                                                                                                    | 3.6 kB  00:00:00     
extras                                                                                                                                                                                  | 3.4 kB  00:00:00     
updates                                                                                                                                                                                 | 3.4 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package nut.x86_64 0:2.7.2-3.el7 will be installed
--> Processing Dependency: libfreeipmi.so.13()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libipmimonitoring.so.5()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libupsclient.so.4()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libusb-0.1.so.4()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Running transaction check
---> Package libusb.x86_64 1:0.1.4-3.el7 will be installed
---> Package nut.x86_64 0:2.7.2-3.el7 will be installed
--> Processing Dependency: libfreeipmi.so.13()(64bit) for package: nut-2.7.2-3.el7.x86_64
--> Processing Dependency: libipmimonitoring.so.5()(64bit) for package: nut-2.7.2-3.el7.x86_64
---> Package nut-client.x86_64 0:2.7.2-3.el7 will be installed
--> Finished Dependency Resolution
Error: Package: nut-2.7.2-3.el7.x86_64 (epel)
           Requires: libipmimonitoring.so.5()(64bit)
Error: Package: nut-2.7.2-3.el7.x86_64 (epel)
           Requires: libfreeipmi.so.13()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
I didn't find a workaround for this, but I found a related bug report https://bugzilla.redhat.com/show_bug.cgi?id=1570146

Does anyone here know of a work-around for this issue? I'd sleep better knowing that my server would do a graceful shutdown if there was power outage.


OS Version

Code: Select all

cat /etc/*release
CentOS Linux release 7.5.1804 (Core) 
NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

CentOS Linux release 7.5.1804 (Core) 
CentOS Linux release 7.5.1804 (Core) 
Ikomrad

User avatar
avij
Forum Moderator
Posts: 2681
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Cannot Install Nut on Centos 7.5

Post by avij » 2018/05/14 05:26:28

That Bugzilla entry you found said that "nut-2.7.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository"

To use the Fedora EPEL 7 testing repository, add --enablerepo=epel-testing to your yum command line.

User avatar
komrados
Posts: 2
Joined: 2017/08/06 19:32:24
Location: Denver, CO
Contact:

Re: Cannot Install Nut on Centos 7.5

Post by komrados » 2018/05/14 05:37:19

avij wrote:That Bugzilla entry you found said that "nut-2.7.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository"

To use the Fedora EPEL 7 testing repository, add --enablerepo=epel-testing to your yum command line.
That was the magic incantation needed to to get it installed. It's late here so I may not get it configured and tested until tomorrow.

Thank you very much for your help!
Ikomrad

Post Reply